#!/usr/bin/python
# -*- encoding: utf-8 -*-
################################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

from osv import fields, osv
import tools
from tools.translate import _
from tools import config
import urllib
from xml.dom.minidom import parseString
import netsvc

class seniat_url(osv.osv):
    """
    OpenERP Model: Herencia de seniat_url
    """
    _name = 'seniat.url'
    _inherit = 'seniat.url'
    
    
    def _parse_dom(self, dom, rif, url_seniat):
        name = dom.childNodes[0].childNodes[0].firstChild.data
        wh_agent = dom.childNodes[0].childNodes[1].firstChild.data.upper()=='SI' and True or False
        vat_subjected = dom.childNodes[0].childNodes[2].firstChild.data.upper()=='SI' and True or False
        rate = dom.childNodes[0].childNodes[3].firstChild.data
        self.logger.notifyChannel("info", netsvc.LOG_INFO,
            "RIF: %s Found" % rif)
        if name.count('(') > 0:
            if name.count('(') > 1:
                if name[0] == '(':
                    name_aux = name[name.index(')',name.index(')')+1)+1:].strip()
                else:
                    name_aux = name[:name.index('(',name.index('(')+1)].strip()
            else:
                name_aux = name[:name.index('(')].strip()
                if not name_aux:
                    name_aux = name[name.index(')')+1:].strip()
            name = name_aux
        res= {'name': name,'vat_subjected': vat_subjected, 'wh_iva_rate': rate,'wh_iva_agent': wh_agent}  
        return res

seniat_url()
