# -*- coding: utf-8 -*-
from osv import osv, fields
import decimal_precision as dp
from datetime import datetime, date, time, timedelta
import calendar
import netsvc
import pooler
from tools.translate import _
import time

class account_bank_statement_config(osv.osv):
    _name = 'account.bank.statement.config'
    
    _columns = {
        'name': fields.char('Descripcion', size=64),
        'type':fields.selection([
            ('journal','Diario'),
            ('account','Cuenta'),
            ('sequence','Secuencia'),
            ], 'Type', required=True),
        'type_reg': fields.selection([
            ('advance','Anticipo'),
            ('amortization','Amortizacion'),
            ('compesaciones','Compesaciones'),
            ('returned_check','Cheque Devuelto'),
            ('transferencias','Transferencia Bancaria'),
            ('None','No aplica'),
            ], 'Type', required=True),
        'account_id':fields.many2one('account.account', 'Account'),
        'journal_id': fields.many2one('account.journal', 'Diario'),
        'sequence_id': fields.many2one('ir.sequence', 'Entry Sequence', help="This field contains the informatin related to the numbering of the journal entries of this journal.",),
    }
    
account_bank_statement_config()
