# -*- coding: utf-8 -*-
from osv import osv, fields
import decimal_precision as dp
from datetime import datetime, date, time, timedelta
import calendar
import netsvc
import pooler
from tools.translate import _
import time

class wizard_account_bank_statement_config(osv.osv_memory):
    _name = "wizard.account.bank.statement.config"
    
    _columns = {
        'name': fields.char('Descripcion', size=64,),
        }
    
    _defaults = {
        'name': 'Proceso de Actualizacion de Asientos',
    }
    
    def update_all(self, cr, uid, ids, context=None):
        #~ TODO: Actualizar todas las referencias de los asientos antiguos
        account_move_obj = self.pool.get('account.move')
        account_journal_obj = self.pool.get('account.journal')
        account_move_line_obj = self.pool.get('account.move.line')
        account_bank_statement_line_obj = self.pool.get('account.bank.statement.line')
        account_bank_statement_obj = self.pool.get('account.bank.statement')
        st_ids = account_bank_statement_obj.search(cr, uid, [])
        st_brw = account_bank_statement_obj.browse(cr, uid, \
                st_ids, context=context)
        if uid == 1:
            for st in st_brw:
                for st_l in st.line_ids:
                    #~ if not st_l.voucher_id:
                    for mv in st_l.move_ids:
                        #~ Actualizo los campos
                        cr.execute("Update account_move set ref='%s' where id = %s"%(st_l.name, mv.id))
                        cr.commit()
                        cr.execute("Update account_move_line set name='%s', date='%s', ref='%s' where move_id = %s"%(st_l.ref or st_l.name,st_l.date,st_l.name, mv.id))
                        cr.commit()
        else:
            raise osv.except_osv(_('Error !'),('No tiene permisos para realizar esta operacion'))

        return True
    
wizard_account_bank_statement_config()
