#-*- coding:utf-8 -*-
##############################################################################
#
#    SISB, Sistema Integral Simón Bolivar
#    Copyright (C) 2012-2013 Industrias Diana, C.A. All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv
from tools.translate import _
from datetime import datetime
import logging

class hr_variable_concepts(osv.osv):
    """
    Herencia para:
    1) Incluir funcion para obtener el nombre de los conceptos
    variables
    """
    _inherit = 'hr.variable.concepts'
    _description = 'Variable Concepts'
 
    
    _columns = {
        'tipo_de_proceso': fields.selection([('sobretiempo','Sobretiempo')], "Tipo de proceso"),
    }



hr_variable_concepts()
