#-*- coding:utf-8 -*-
##############################################################################
#
#    SISB, Sistema Integral Simón Bolivar
#    Copyright (C) 2012-2013 Industrias Diana, C.A. All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': "SISB Reposos Medicos",
    'version': '1.0',
    'category': 'Human Resources',
    'description': """Modulo para el proceso de creacion, aprobacion y
                   pago de certificados de incapacidad (Reposos medicos) 
                   """,
    'author': 'Industrias Diana, C.A.',
    'website': 'http://www.industriasdiana.gob.ve',
    "depends" : ['sisb_nomina'],
    "init_xml" : [],
    "update_xml" : [
                'security/sisb_reposos_medicos_security.xml',
                'security/ir.model.access.csv',
                'wizard/wizard_reposo_medico_conceptos_variables_historico_view.xml',
                'view/sisb_reposos_medicos_view.xml',
                'wizard/reposos_medicos_conceptos_variables.xml',
    ],
    "data" : [],
    "active": False,
    "installable": True
}
