#!/usr/bin/python
# -*- coding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) Industrias Diana, C.A. (<http://www.industriasdiana.gob.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Jose Moreno               <jmoreno@industriasdiana.gob.ve>
#
#    Planified by: Juan Lugo
#    Finance by: Industrias Diana, C.A.
#    Audited by: Juan Lugo jlugo@industriasdiana.gob.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################

from osv import osv, fields
import time
from tools.translate import _
import decimal_precision as dp


class account_wh_iva(osv.osv):
    _inherit = "account.wh.iva"
    
    _sql_constraints = [
      ('ret_num_uniq', 'unique (number, partner_id)', 'number must be unique !')
    ] 

account_wh_iva()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
