#-*- coding:utf-8 -*-

import netsvc
import time
from tools.translate import _
from osv import fields, osv
import datetime


class report_pago_guarderia(osv.osv_memory):
	_name = 'report.pago.guarderia'
	_description = 'Pago de Guarderias'

	_columns = {
		'month_id': fields.many2one('hr.month', 'Mes', required=True),
		'employee_ids': fields.many2many('hr.employee', 'hr_report_pago_guarderia_employee_rel', 
		'report_id', 'employee_id', 'Empleados'),
	}

	def report_pago_guarderia(self, cr, uid, ids, context=None):
		report_brw = self.browse(cr, uid, ids)[0]
		employee_ids = [x.id for x in report_brw.employee_ids]        
		data = {
			'ids': context.get('active_ids', []), 
			'model': 'hr.employee',
			'form': self.read(cr, uid, ids, [], context = context )[0]
		}

		data['form']['month_id'] = report_brw.month_id.id
		data['form']['employee_ids'] = employee_ids

		data['form']['hr_ids'] = context.get('active_ids')
		return {'type': 'ir.actions.report.xml', 'report_name': 'report.pago.guarderia', 
		  'datas': data}
		  
report_pago_guarderia()
